// ********************************************************************************
// ********************************************************************************
// ********************************************************************************
// K1 Location Armband (sa_loc_arm.nss).
// Created by Star Admiral.
// Last Modified on 06/15/09.
// ********************************************************************************
// ********************************************************************************
// ********************************************************************************

string SA_Trim( string sTrim ) {
   sTrim = GetStringLeft( sTrim, GetStringLength( sTrim ) - 1 );
   return sTrim + " ";
}

void main() {

   vector vLoc;
   float fOrient, fX, fY, fBear;
   object oCreature, oDoor, oPlace, oTrigger, oWay;
   string sOrient, sX, sY, sBear, sLoc, sModule, sCreature, sDoor, sPlace, sTrigger, sWay;

   vLoc = GetPosition( GetFirstPC() );

   sLoc = "> Player Location: " + SA_Trim( FloatToString( vLoc.x, 5, 5 ) ) + SA_Trim( FloatToString( vLoc.y, 5, 5 ) ) + SA_Trim( FloatToString( vLoc.z, 5, 5 ) );
   sModule = "> Current Module: " + GetModuleName();

   fOrient = GetFacing( GetFirstPC() );

   fX = cos( fOrient );
   fY = sin( fOrient );

   fBear = ( fOrient * 0.0175 ) + 1.5708;

   if( fBear > 4.7124 )
      fBear = fBear - 7.854;

   sOrient = "> Angle Orientation: " + FloatToString( fOrient, 5, 5 );
   sX = "> X Orientation: " + FloatToString( fX, 5, 5 );
   sY = "> Y Orientation: " + FloatToString( fY, 5, 5 );
   sBear = "> Bearing Orientation: " + FloatToString( fBear, 5, 5 );

   oCreature = GetNearestObject( OBJECT_TYPE_CREATURE, GetFirstPC() );
   oDoor = GetNearestObject( OBJECT_TYPE_DOOR, GetFirstPC() );
   oPlace = GetNearestObject( OBJECT_TYPE_PLACEABLE, GetFirstPC() );
   oTrigger = GetNearestObject( OBJECT_TYPE_TRIGGER, GetFirstPC() );
   oWay = GetNearestObject( OBJECT_TYPE_WAYPOINT, GetFirstPC() );

   sCreature = "> Nearest Creature: " + GetTag( oCreature ) + " " + FloatToString( GetDistanceBetween( oCreature, GetFirstPC() ), 5, 5 );
   sDoor = "> Nearest Door: " + GetTag( oDoor ) + " " + FloatToString( GetDistanceBetween( oDoor, GetFirstPC() ), 5, 5 );
   sPlace = "> Nearest Placeable: " + GetTag( oPlace ) + " " + FloatToString( GetDistanceBetween( oPlace, GetFirstPC() ), 5, 5 );
   sTrigger = "> Nearest Trigger: " + GetTag( oTrigger ) + " " + FloatToString( GetDistanceBetween( oTrigger, GetFirstPC() ), 5, 5 );
   sWay = "> Nearest Waypoint: " + GetTag( oWay ) + " " + FloatToString( GetDistanceBetween( oWay, GetFirstPC() ), 5, 5 );

   SendMessageToPC( GetFirstPC(), ">>> Begin Armband Output: <<<" );
   SendMessageToPC( GetFirstPC(), sLoc );
   SendMessageToPC( GetFirstPC(), sModule );
   SendMessageToPC( GetFirstPC(), sOrient );
   SendMessageToPC( GetFirstPC(), sX );
   SendMessageToPC( GetFirstPC(), sY );
   SendMessageToPC( GetFirstPC(), sBear );
   SendMessageToPC( GetFirstPC(), sCreature );
   SendMessageToPC( GetFirstPC(), sDoor );
   SendMessageToPC( GetFirstPC(), sPlace );
   SendMessageToPC( GetFirstPC(), sTrigger );
   SendMessageToPC( GetFirstPC(), sWay );
   SendMessageToPC( GetFirstPC(), ">>> End Armband Output: <<<" );

}
